%global momorel 1
%global qtdir %{_libdir}/qt3

Summary: Editor for manipulating PDF documents
Name: pdfedit
Version: 0.3.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://pdfedit.petricek.net/
Group: Applications/Publishing
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}.desktop
NoSource: 0
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: qt, zlib, freetype, t1lib, libmng, libjpeg, libpng, fontconfig
BuildRequires: qt-devel, zlib-devel, t1lib-devel, libmng-devel, libjpeg-devel, libpng-devel, fontconfig-devel

%description
Editor for manipulating PDF documents. GUI version + commandline interface.
Scripting is used to a great extent in editor and almost anything can be 
scripted, it is possible to create own scripts or plugins.

%prep
%setup -q

%build
export QTDIR=%{qtdir}
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%configure --disable-release
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 src/gui/icon/pdfedit_icon_48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# fix permission before preparing docs
find %{buildroot}%{_datadir} -type f -exec chmod 644 {} \;

# for doc
rm -rf package-doc
mv %{buildroot}%{_docdir} package-doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc package-doc/%{name}/*
%{_bindir}/pdfedit
%{_datadir}/applications/pdfedit.desktop
%{_mandir}/man?/*
%{_datadir}/pdfedit
%{_datadir}/pixmaps/pdfedit.png

%changelog
* Mon Sep  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-1m)
- [SECURITY] CVE-2007-3387
- update to 0.3.2
- --disable-release at configure (mmm...)
- do not use %%NoSource macro

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-3m)
- Requires: freetype2 -> freetype

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-2m)
- fix permission
- install icon and desktop file

* Sat Mar 17 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.2.5-1m)
- welcome to Momonga
